X509v1CertificateBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert

## Class X509v1CertificateBuilder

- java.lang.Object
- - org.bouncycastle.cert.X509v1CertificateBuilder

- Direct Known Subclasses:
    BcX509v1CertificateBuilder, JcaX509v1CertificateBuilder

      public class X509v1CertificateBuilder
      extends java.lang.Object

  class to produce an X.509 Version 1 certificate.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer, java.math.BigInteger serial, java.util.Date notBefore, java.util.Date notAfter, java.util.Locale dateLocale, org.bouncycastle.asn1.x500.X500Name subject, org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)` Create a builder for a version 1 certificate.
    `X509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer, java.math.BigInteger serial, java.util.Date notBefore, java.util.Date notAfter, org.bouncycastle.asn1.x500.X500Name subject, org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)` Create a builder for a version 1 certificate.
    `X509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer, java.math.BigInteger serial, org.bouncycastle.asn1.x509.Time notBefore, org.bouncycastle.asn1.x509.Time notAfter, org.bouncycastle.asn1.x500.X500Name subject, org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)` Create a builder for a version 1 certificate.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X509CertificateHolder` | `build(ContentSigner signer)` Generate an X509 certificate, based on the current issuer and subject using the passed in signer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X509v1CertificateBuilder

          public X509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer,
                                  java.math.BigInteger serial,
                                  java.util.Date notBefore,
                                  java.util.Date notAfter,
                                  org.bouncycastle.asn1.x500.X500Name subject,
                                  org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)

      Create a builder for a version 1 certificate.
      Parameters:
        `issuer` - the certificate issuer
        `serial` - the certificate serial number
        `notBefore` - the date before which the certificate is not valid
        `notAfter` - the date after which the certificate is not valid
        `subject` - the certificate subject
        `publicKeyInfo` - the info structure for the public key to be associated with this certificate.

    - #### X509v1CertificateBuilder

          public X509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer,
                                  java.math.BigInteger serial,
                                  java.util.Date notBefore,
                                  java.util.Date notAfter,
                                  java.util.Locale dateLocale,
                                  org.bouncycastle.asn1.x500.X500Name subject,
                                  org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)

      Create a builder for a version 1 certificate. You may need to use this constructor if the default locale doesn't use a Gregorian calender so that the Time produced is compatible with other ASN.1 implementations.
      Parameters:
        `issuer` - the certificate issuer
        `serial` - the certificate serial number
        `notBefore` - the date before which the certificate is not valid
        `notAfter` - the date after which the certificate is not valid
        `dateLocale` - locale to be used for date interpretation.
        `subject` - the certificate subject
        `publicKeyInfo` - the info structure for the public key to be associated with this certificate.

    - #### X509v1CertificateBuilder

          public X509v1CertificateBuilder(org.bouncycastle.asn1.x500.X500Name issuer,
                                  java.math.BigInteger serial,
                                  org.bouncycastle.asn1.x509.Time notBefore,
                                  org.bouncycastle.asn1.x509.Time notAfter,
                                  org.bouncycastle.asn1.x500.X500Name subject,
                                  org.bouncycastle.asn1.x509.SubjectPublicKeyInfo publicKeyInfo)

      Create a builder for a version 1 certificate.
      Parameters:
        `issuer` - the certificate issuer
        `serial` - the certificate serial number
        `notBefore` - the Time before which the certificate is not valid
        `notAfter` - the Time after which the certificate is not valid
        `subject` - the certificate subject
        `publicKeyInfo` - the info structure for the public key to be associated with this certificate.

  - ### Method Detail

    - #### build

          public X509CertificateHolder build(ContentSigner signer)

      Generate an X509 certificate, based on the current issuer and subject using the passed in signer.
      Parameters:
        `signer` - the content signer to be used to generate the signature validating the certificate.
      Returns:
        a holder containing the resulting signed certificate.